<!--
 * @Date: 2024-04-15 23:58:36
 * @LastEditors: Sneed
 * @LastEditTime: 2024-04-16 00:26:46
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/mdc/configComp/Board.vue
-->
<template>
    <el-main>
        <el-row>
            <el-col :span="2" class="label">
                页面排列方式
            </el-col>
            <el-col :span="4">
                <el-radio-group v-model="radio">
                    <el-radio :label="1">充满屏幕</el-radio>
                    <el-radio :label="2">设置行列</el-radio>
                </el-radio-group>
            </el-col>
            <el-col :span="2" class="label" :offset="2">
                设置行数
            </el-col>
            <el-col :span="4">
                <el-input-number v-model="radio" :min="1" :max="4" @change="handleChange" />
            </el-col>
            <el-col :span="2" class="label" :offset="2">
                设置列数
            </el-col>
            <el-col :span="4">
                <el-input-number v-model="radio" :min="1" :max="4" @change="handleChange" />
            </el-col>
            <el-col class="title">
                下面陈列拥有标签的所有工位组，请选择需要在实时看板页面查询的组，并设定一个默认组
                如果未配置查询组，实时工况页面默认查询所有工位
            </el-col>
            <el-col :span="2" class="label-title">
                柔性产线
            </el-col>
            <el-col>
                <el-card class="my-card" @click="radio = true">
                    <template #header>
                        <div class="card-header">
                            <div class="card-line"><el-checkbox v-model="radio" /><span>千文科技</span>
                                <el-button style="margin-left: auto">设为默认</el-button>
                                <el-button style="margin-left: auto">默认</el-button>
                            </div>
                        </div>
                    </template>
                    <p>所有的 > 千文科技</p>
                </el-card>
            </el-col>

            <el-col class="label-title">
                车间
            </el-col>
            <el-col :span="6">
                <el-card class="my-card" @click="radio = true">
                    <template #header>
                        <div class="card-header">
                            <div class="card-line"><el-checkbox v-model="radio" /><span>千文科技</span><el-button
                                    style="margin-left: auto">设为默认</el-button>
                                <el-button style="margin-left: auto">默认</el-button>
                            </div>
                        </div>
                    </template>
                    <p>所有的 > 千文科技</p>
                </el-card>

            </el-col>
            <el-col :span="6" :offset="2">
                <el-card class="my-card" @click="radio = true">
                    <template #header>
                        <div class="card-header">
                            <div class="card-line"><el-checkbox v-model="radio" /><span>千文科技</span><el-button
                                    style="margin-left: auto">设为默认</el-button>
                                <el-button style="margin-left: auto">默认</el-button>
                            </div>
                        </div>
                    </template>
                    <p>所有的 > 千文科技</p>
                </el-card>
            </el-col>
        </el-row>
    </el-main>
</template>

<script>
export default {
    data() {
        return {
            radio: ''
        }
    },
}
</script>

<style lang="scss" scoped>
.label {
    display: flex;
    align-items: center;

}

.label-title {
    margin-bottom: 14px;
}

.my-card {
    max-width: 480px;
    cursor: pointer;
}

.title {
    padding: 10px 0;
    font-size: 14px;
}

.card-line {
    display: flex;
    align-items: center;

    span {
        margin: 0 10px;
    }
}
</style>